---
title: Headers.get()
slug: Web/API/Headers/get
tags:
  - API
  - Experimental
  - Fetch
  - Headers
  - Method
  - Reference
  - get
---
<div>{{APIRef("Fetch")}}</div>

<p>The <strong><code>get()</code></strong> method of the {{domxref("Headers")}} interface returns a byte string of all the values of a header within a <code>Headers</code> object with a given name. If the requested header doesn't exist in the <code>Headers</code> object, it returns <code>null</code>.</p>

<p>For security reasons, some headers can only be controlled by the user agent. These headers include the {{Glossary("Forbidden_header_name", "forbidden header names", 1)}} and {{Glossary("Forbidden_response_header_name", "forbidden response header names", 1)}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>myHeaders</em>.get(<em>name</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>name</code></dt>
 <dd>The name of the HTTP header whose values you want to retrieve from the <code>Headers</code> object. If the given name is not the name of an HTTP header, this method throws a {{jsxref("TypeError")}}. The name is case-insensitive.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("ByteString")}} sequence representing the values of the retrieved header or <code>null</code> if this header is not set.</p>

<h2 id="Example">Example</h2>

<p>Creating an empty <code>Headers</code> object is simple:</p>

<pre class="brush: js">var myHeaders = new Headers(); // Currently empty
myHeaders.get('Not-Set'); // Returns null
</pre>

<p>You could add a header to this using {{domxref("Headers.append")}}, then retrieve it using <code>get()</code>:</p>

<pre class="brush: js">myHeaders.append('Content-Type', 'image/jpeg');
myHeaders.get('Content-Type'); // Returns "image/jpeg"
</pre>

<p>If the header has multiple values associated with it, the byte string will contain all the values, in the order they were added to the Headers object:</p>

<pre class="brush: js">myHeaders.append('Accept-Encoding', 'deflate');
myHeaders.append('Accept-Encoding', 'gzip');
myHeaders.get('Accept-Encoding'); // Returns "deflate,gzip"
</pre>

<div class="note">
<p><strong>Note</strong>: {{domxref("Headers.getAll")}} used to have this functionality, with {{domxref("Headers.get")}} returning only the first value added to the <code>Headers</code> object. The latest spec has removed <code>getAll()</code>, and updated <code>get()</code> to return all values.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Fetch','#dom-headers-get','get()')}}</td>
   <td>{{Spec2('Fetch')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Headers.get")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
 <li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
